%AIMTEXHELP Help file for computer programs for the AIMT application example.
%
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%See refernces [3,4,5,6] for information about the AIMT application example.
%The following functions for the end user are currently implemented:
%
% Definition of antennas
%   defaimtexant2  : Definition of the receiving antenna in the AIMT
%                    application example.
%
% Simulations
%   aimtexrun23    : Monte Carlo simulations of number-of-targets estimation
%                    in the AIMT application example using one CPI only.
%   aimtexrun23plot: Plotting the results from aimtexrun23.
%   run8cpi        : Monte Carlo simulations and statistical analysis of
%                    number-of-targets estimation in the AIMT application
%                    example with several CPIs with frequency switching.
%   run8cpiplot    : Plotting the results from run8cpi.
%   plotenosrc     : Plotting results from estimation of the number of
%                    signal sources.
%
%References:
%  [1]: Bjrklund S.: "DBT, A MATLAB Toolbox for Radar Signal Processing.
%    Reference Guide", FOA-D--9x-00xxx-408--SE, To be published.
%  [2]: Bjrklund S.:"A MATLAB Toolbox for Radar Signal Processing",
%    Proceedings of Nordic MATLAB Conference `97, Stockholm 27-28 October 1997.
%  [3]: Athley F.: "Tillmpningsexempel fr studie av modellbaserad
%    lobformning", EMW-report FY/XU-96:299, Ericsson Microwave Systems 1996.
%    In Swedish.
%  [4]: Athley F.: "Implementering av tillmpningsexempel fr modellbaserad
%    lobformning", EMW-report FY/XU-97:028, Ericsson Microwave Systems 1997.
%    In Swedish.
%  [5]: Athley F.: "Integration av modellbaserade metoder i radar, ett
%    tillmpningsexempel", EMW-report FY/P-98:015, Ericsson Microwave Systems
%    1998. In Swedish.
%  [6]: Bjrklund S., Rejdemyhr D.: "Vrdering av ett tillmpningsexempel fr
%    studier av hgupplsande riktningsmtning i spaningsradar med digitala
%    gruppantenner", FOA-R--98-00819-408--SE, Juni 1998, 28 sidor. In
%    Swedish.


%
%  Start        : 990205 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:39:15 $ $Author: svabj $.
%  $Revision: 1.5 $
% *****************************************************************************

help aimtexhelp.m
