function plotenosrc(snr, noTrials, realNoSrc, noSrcEst, meanNoSrc, stdNoSrc, detProbEq, detProbGE, plotIx, legendStr,startFigNr)

%PLOTENOSRC Plotting results from estimation of the number of signal sources.
%

%
%     *    DBT, A Matlab Toolbox for Radar Signal Processing    *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%    Start        : 990117 Svante Bjrklund (svabj).
%    Latest change: $Date: 2000/10/16 15:39:23 $ $Author: svabj $.
%    $Revision: 1.3 $
% *****************************************************************************

if (nargin < 10)
  error('DBT-Error: To few input parameters.')
end

% ****************** Add missing input parameters ******************
arginNo=11;
if (nargin < arginNo)
  startFigNr = [];
end

% ****************** Default values ******************

if isempty(startFigNr)
  startFigNr = 1;
end%if

% ****************** Do the work ******************

%plotIx = [1,2,3,4,5,6]
%plotIx = [1,2,4,6];
%legendStr = {'aic','mdl','amir','amirbin','MA1','fam'};
legendStr = legendStr(plotIx);


figure(1+startFigNr-1)
colorOrder = get(gca,'ColorOrder');
%colorOrder = colorOrder(1,:);
colorOrder = [0 0 0];
set(gca,'ColorOrder',colorOrder)
set(gca,'LineStyleOrder',{'-','--',':','*','o','d'})
set(gca,'NextPlot','add')
plot(snr,meanNoSrc(:,plotIx))
xlabel('SNR')
ylabel('no. targets')
title('Mean')
legend(legendStr{:})
ymin(-0.5)

figure(2+startFigNr-1)
set(gca,'ColorOrder',colorOrder)
set(gca,'LineStyleOrder',{'-','--',':','*','o','d'})
set(gca,'NextPlot','add')
plot(snr,stdNoSrc(:,plotIx))
xlabel('SNR')
ylabel('no. targets')
title('Std.Dev.')
legend(legendStr{:})
ymin(-0.1)

B = (noSrcEst == realNoSrc);
detProbEq = (squeeze(sum(B))/noTrials).';
figure(3+startFigNr-1)
set(gca,'ColorOrder',colorOrder)
set(gca,'LineStyleOrder',{'-','--',':','*','o','d'})
set(gca,'NextPlot','add')
plot(snr,detProbEq(:,plotIx))
xlabel('SNR')
ylabel('Probalility')
title('Probalility == #')
ylim([-0.1 1.1])
legend(legendStr{:})


B = (noSrcEst >= realNoSrc);
detProbGE = (squeeze(sum(B))/noTrials).';
figure(4+startFigNr-1)
set(gca,'ColorOrder',colorOrder)
set(gca,'LineStyleOrder',{'-','--',':','*','o','d'})
set(gca,'NextPlot','add')
plot(snr,detProbGE(:,plotIx))
xlabel('SNR')
ylabel('Probalility')
title('Probalility >=')
ylim([-0.1 1.1])
legend(legendStr{:})


if (0)
  printfm run15a1 1 8
  printfm run15a2 2 8
  printfm run15a3 3 8
  printfm run15a4 4 8
end%if
