function run8cpiplot(simName,startFigNr,mode)

%RUN8CPIPLOT Plotting the results from run8cpi.
%

%
%     *    DBT, A Matlab Toolbox for Radar Signal Processing    *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%    Start        : 98xxxx Svante Bjrklund (svabj).
%    Latest change: $Date: 2000/10/16 15:39:25 $ $Author: svabj $.
%    $Revision: 1.4 $
% *****************************************************************************

if (nargin < 1)
  error('DBT-Error: To few input parameters.')
end

% ****************** Add missing input parameters ******************

arginNo=2;
if (nargin < arginNo)
  startFigNr = [];
end
arginNo = arginNo +1;
if (nargin < arginNo)
  mode = [];
end
arginNo = arginNo +1;

% ****************** Default values ******************

if isempty(mode)
  mode = [];
end%if

% ****************** Do the work ******************

if (~strcmp(mode,'onlySave'))
  load(simName)

  plotIx = [1,2,4,6];
  legendStr = {'aic','mdl','amir','amirbin','MA1','fam'};
  figure(1)
  plotenosrc(snr, noTrials, realNoSrc, noSrcEst, meanNoSrc, stdNoSrc, ...
    detProbEq, detProbGE, plotIx, legendStr,startFigNr)
end%if

if (~strcmp(mode,'onlyPlot'))
  figSize = 8; 	% [cm]
  printfm([simName,'a2'], 1+startFigNr-1, figSize)
  printfm([simName,'a3'], 2+startFigNr-1, figSize)
  printfm([simName,'a4'], 3+startFigNr-1, figSize)
  printfm([simName,'a5'], 4+startFigNr-1, figSize)
end%if
