function B = copycol(A, noCols)

% *****************************************************************************
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  function B = copycol(A, noCols)
%
%  Makes a matrix B with noCols columns where each column is equal to the
%  vector A.

%
%  Start        : 960327 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:20:14 $ $Author: svabj $.
%  $Revision: 1.8 $
% *****************************************************************************

if (size(A,2) > 1)
	error('DBT-Error: A must be a column vector')
end%if
B = zeros(size(A,1),noCols);
for n = 1:noCols
	B(:,n) = A;
end%for n
