function dbterror(errStr)

%DBTERROR Displays an error message and halts execution.
%
%Synopsis:
%  dbterror(errStr);
%
%Description:
%  Displays an error message and halts execution.
%
%Input:
%  errStr (StringT)      : The string that are to be displayed.
%
%Output:
%
%--------
%Notations:
%  Data type names are shown in parentheses and they start with a capital
%  letter and end with a capital T. Data type definitions can be found in [1]
%  or by "help dbtdata".
%  [D] = This parameter can be omitted and then a default value is used.
%  When the [D]-input parameter is not the last used in the call, it must be
%  given the value [], i.e. an empty matrix.
%  ... = There can be more parameters. They are explained under respective
%  metod or choice.
%
%References:
%  [1]: Bjrklund S.: "DBT, A MATLAB Toolbox for Radar Signal Processing.
%    Reference Guide", FOA-D--9x-00xxx-408--SE, To be published.
%
%See also:
%  error, dbtwarning, dbtinfo, eetimebegin

%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
%  (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  Start         : 991103 Svante Bjrklund (svabj).
%  Latest change : $Date: 2000/10/16 15:20:22 $ $Author: svabj $.
%  $Revision : 1.0 $
% *************************************************************************

error(['DBT-Error: ', errStr])

%End Of File.
