function wnfcmp=eincdbt(sphi,fRFMHz,logfield)

% *****************************************************************************
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  function wnfcmp=eincdbt(sphi,fRFMHz,logfield)
%
%  Strippad version av einc fr "dbt"-verktygsldan
%  Berknar till antennelementen infallande fltparametrar
%  Vi gr en smalbandsapproximation, dvs fsig << fRF
%
%  Start        : 9xxxxx Lars Pettersson (larpet).
%  Latest change: $Date: 2000/10/16 15:20:52 $ $Author: svabj $.
%  $Revision: 1.5 $
% *****************************************************************************

global c0 xel Rmeas deltaz0 dxel0 th3dBV fRFth3dBV dipl nely hel
	
if strcmp(logfield,'nearfield')
	k0=2*pi*fRFMHz*1e6/c0;
	nel=length(xel);
	eelff=exp(j*k0*sphi*xel);	% Berkna ideal tomgngsamplituden
	cphipos=sqrt(1-sphi.^2);
	xelabs=xel-mean(xel)+dxel0;
	th3dB=interp1(fRFth3dBV,th3dBV,fRFMHz);
	[Rtot,cphi,eillum]=nearfld(Rmeas,deltaz0,sphi,cphipos,xelabs,th3dB);
	eel=eillum.*exp(-j*k0*(Rtot-Rmeas))./(Rtot/Rmeas);
	sinratio=ones(size(eel));
	cphiref=(cphi(:,ceil((nel+1)/2))+cphi(:,floor((nel+1)/2)))/2;
	indpos=find(cphiref > 0);
	if ~isempty(indpos)
	  sinratio(indpos,:)=(sin(k0*hel*cphiref(indpos))*ones(1,nel))./sin(k0*hel*cphi(indpos,:));
	end
	wnfcmp=eelff./eel.*sinratio;
else
	wnfcmp=[];		
end
