%HELPLIST This script generates a file with help texts that can be used in the reference guide.
%
%--------
%Synopsis:
%  helplist
%
%Description:
%  This script generates a file with help texts that can be used in the
%  reference guide. The list with help texts is saved to the file
%  "helplist.txt". An already existing file with that name is deleted.
%

%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  Start        : 97xxxx Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:21:06 $ $Author: svabj $.
%  $Revision: 1.41 $

delete helplist.txt
diary helplist.txt

% Help scripts.
help ...
dbthelp.m   ...
aimtexhelp.m ...
expanthelp.m ...
radiohelp.m ...
dbtdata.m ...


% Copyright message.
help ...
dbtright.m   ...

% Functions for the end user.
help  ...
aic.m  ...
aimtexfa2dbt.m ...
addsig.m ...
basecorrm ...
beamform.m ...
calcfilt.m ...
calcfiltinit.m ...
calcfiltproc.m ...
calcfiltsig.m ...
coa.m ...
cfar.m  ...
chebylp.m ...
chkdtype.m   ...
chkdtyph.m   ...
compsim2.m   ...
compsim3.m   ...
compsim4.m ...
compsim5.m  ...
correig2sig.m ...
corrmplot.m ...
crbdet.m   ...
crbsto.m ...


help  ...
d2r.m   ...
dbf.m   ...
dbcfileinfo.m ...
dbsfileinfo.m ...
dbterror.m ...
dbtinfo.m ...
dbtloopinfo.m ...
dbtrefguide.m ...
dbtversion.m ...
dbtwarning.m ...
defant.m ...
defclutter.m ...
defjammer.m ...
defnoise.m ...
defsources.m ...
deftarget.m ...
defwave.m ...


help ...
dfb2.m   ...
dftopm.m ...
dftopm2d.m ...
doa2rect ...
doa2wavevec.m ...
doapar1.m  ...
doapeak.m  ...
doaspc1.m  ...
DoaSpecT.m ...
doaspc2sig.m ...
dopplerfilt.m ...
dspastemat.m  ...
dspastevec.m ...


help ...
ecorrm.m  ...
eetimebegin.m ...
eetimeend.m ...
eetimeloop.m ...
eetimepreloop.m ...
eigplot1.m ...
estlocalfreq.m ...
estnoisepower.m ...
examsigw.m ...
expsig1.m  ...
fftshift1.m ...
fig.m ...
genfreqaxis.m ...
getcorrmkernel.m ...
getmod.m ...
getranbinlen.m ...
gettap1.m  ...
helpd.m ...
helpwin2.m ...
irot.m ...


help ...
mdl.m ...
modcorrmkernel.m ...
msigmat2.m ...
multdiag.m ...
normcohpulse.m ...
normsig.m ...
normplot2.m ...
orthbeam.m ...
pantpat3.m  ...
pdoait.m  ...
pdoapar.m  ...
perrfun.m ...
plotaline.m ...
plotxline.m ...
plotyline.m ...
pptmfq1.m  ...
printfm.m ...
pulfilt.m ...
pulscomp.m  ...
pulstemat.m ...


help ...
r2d.m  ...
ran2ranbin.m ...
ranfilt.m ...
ranstemat.m ...
RxCorrMatT.m ...
RxRadarSigT.m ...
sdoapar1.m  ...
sdoaspc.m ...


help ...
setcal1.m  ...
setpultrans.m ...
setrantrans.m ...
setspapultrans.m ...
setsparantrans.m ...
setspatrans.m ...
sigcomp2.m  ...
sigplot2.m  ...
sigplot2win.m ...
sigsize.m  ...
sigsplitdim.m ...
sigsubix ...
sigswapdim.m ...
simcherr.m ...
simclutter.m ...
simnoise.m ...
simradarsig.m ...
simtarget.m ...
simwideband.m ...
simwidebandkernel.m ...


help ...
spafilt.m ...
spanosrc.m ...
spantpat3.m ...
spapulfilt.m ...
spapulstemat.m ...
sparanfilt.m ...
sparanstemat.m ...
spastemat.m  ...
spastevec.m  ...
speedoflight.m ...
splot2.m  ...
stardoa.m ...
squeezeall.m ...


help ...
taylorlp.m ...
vecnorm2.m ...
videoint.m ...
weightcols.m ...
weightrows.m ...
xlim.m  ...
xmax.m  ...
xmin.m  ...
ylim.m  ...
ymax.m  ...
ymin.m ...
zlim.m  ...
zmax.m  ...
zmin.m ...


% Example scripts.
help ...
dbtex1.m  ...
dbtex2.m  ...
dbtex3.m  ...
dbtex4.m  ...
dbtex51.m  ...
dbtex5.m  ...
dbtex6.m  ...
dbtex7.m  ...
dbtex8.m  ...
dbtex9.m  ...
dbtex10.m ...
dbtex15.m ...
dbtex20.m ...
dbtex21.m ...
dbtex22.m ...
dbtex23.m ...
dbtex25.m ...
dbtex26.m ...
dbtex28.m ...
dbtex29.m ...
dbtex30.m ...
dbtex60.m ...
dbtex70.m ...
dbtex80.m ...
dbtex81.m ...

help ...
wideex1.m ...
wideex2.m ...
wideex3.m ...


% For the extension programmer.


% Internal functions (Called by other functions).
help ...
copycol.m  ...
dmlfun.m   ...
eincdbt.m  ...
helpwin2info.m ...
nearfld.m  ...
smlfun.m  ...
splot2h.m  ...
ssffun.m  ...
subpat.m  ...
tayltap.m  ...
vcorrdbt.m  ...
wscordbt.m  ...
wsffun.m  ...


%Test programs
help ...
tdbt.m  ...


% Obsolete functions.
help ...
eptmf.m  ...
minnorm2.m  ...
mlcorrm.m  ...
scapon.m  ...
scbf.m  ...
sigplot1.m  ...
smusic.m  ...
dfb.m   ...
pantpat.m  ...
pantpat2.m  ...
getcorrm.m  ...


% Computer programs for the AIMT application example.
help ...
defaimtexant2.m ...
defaimtexant2hlp.m ...
aimtexrun23.m ...
aimtexrun23plot.m ...
run8cpi.m ...
run8cpiplot.m ...
plotenosrc.m ...


diary off
