function M = matgetm(filename, varname)

% *****************************************************************************
%		*** D A M ***
%  AIMT Digitala Gruppantenner Mtsystem
%	Frsvarets Forskningsanstalt
%
%  function M = matgetm(filename, varname)
%
%  Gets a MATLAB variable from a MAT-file.
%  Ex:
%    >> b = matgetm('data1.mat','a')
%
%  Start        : 951122 svabj.
%  Senast ndrad: $Date: 1998/05/15 07:42:17 $ $Author: svabj $.
%  $Revision: 1.4 $
% *****************************************************************************

ver = version;
if (ver(1) == '4')
  M = matfile('matgetm',filename, varname);
elseif (ver(1) == '5')
  S = load(filename,'-MAT',varname);
  M = getfield(S,varname);
else
  error('Unknown Matlab version.')
end%if

