function matwhos(filename)
% *****************************************************************************
%		*** D A M ***
%  AIMT Digitala Gruppantenner Mtsystem
%	Frsvarets Forskningsanstalt
%
%  function matwhos(filename)
%
%  Prints on the screen the names, sizes and types of Matlab variables in 
%  a MATLAB MAT-file. Matlab 4 version.
%
%  Start        : 960723 svabj.
%  Senast ndrad: $Date: 1998/05/15 07:42:19 $ $Author: svabj $.
%  $Revision: 1.3 $
% *****************************************************************************

varName = matdir(filename);

noOfVar = size(varName,1);
fprintf('\n%19s      Size       Type\n\n','Name')
for n = 1:noOfVar
        temp = matgetm(filename, varName(n,:));
        if (isstr(temp))
		type = 'String';
	elseif (isreal(temp))
		type = 'Real variable';
	else
		type = 'Complex variable';
	end
	fprintf('%19s %5d by %5d  %-20s\n',varName(n,:), size(temp,1), ....
	  size(temp,2),type)
end

