function [R,cphiout,eillum]=nearfld(R0,dz0,sphi,cphi,xel,th3dB)

% *****************************************************************************
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  function [R,cphiout,eillum]=nearfld(R0,dz0,sphi,cphi,xel,th3dB)
%
%  Nrfltsberkning.
%
%  Start        : 9xxxxx Lars Pettersson (larpet).
%  Latest change: $Date: 2000/10/16 15:21:11 $ $Author: svabj $.
%  $Revision: 1.5 $
% *****************************************************************************


nang=length(sphi);
nel=length(xel);

sphi=sphi*ones(1,nel);
cphi=cphi*ones(1,nel);

	dx=R0*sphi-ones(nang,1)*xel;
	dz=(R0*cphi-dz0);

	R=sqrt(dx.^2+dz.^2);
	%tanphi=dx./dz
	%cphiout=1 ./sqrt(1+tanphi.^2)
	%sphiout=tanphi.*cphiout
	
	cphiout=dz./sqrt(dx.^2+dz.^2);
	sphiout=dx./sqrt(dx.^2+dz.^2);

	% cosfeed=cphi.*cphiout+sphi.*sphiout;
	% eillum=cosfeed.^(nfeed/2);
	thfeed=asin(sphi.*cphiout-cphi.*sphiout);
	eillum=2.^(-2*(thfeed/th3dB).^2);
