function pdoapar(doaParam, selection, dispOpt)

% *****************************************************************************
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  function pdoapar(doaParam, selection, dispOpt)
%
%  Presents the contents of the DoaParamT.
%
%  doaParam   DoaParamT or :
%       Vector of DoaT
%  selection   D IntVectorT   :
%          or String
%  dispOpt  D ?      : Display options.

%
%  Start        : 951220 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:21:18 $ $Author: svabj $.
%  $Revision: 1.8 $
% *****************************************************************************




if isstruct(doaParam)
  chkdtype(doaParam, 'DoaParamT')
  doa = doaParam.doa;
  if (ismulmat(doa))
    doa = getm(doa,1,':',':')';
  else
    %disp('Warning doa in doaParam is not a multimatrix.')
  end
else
  doa = doaParam;
end

fprintf('\nDOA:s\n')
fprintf(' %g degrees\n',r2d(doa))

