function [sigOut, sourceSigTime, noiseSigTime] = simwideband(antenna, waveform, sources, propSpeed)

%SIMWIDEBAND Simulates wideband radio signals received with array antennas.
%
%--------
%Synopsis:
%  [sigOut, sourceSigTime, noiseSigTime] = simwideband(antenna, waveform, 
%    sources, propSpeed)
%
%Description:
%  Simulator for wideband radio signals received with array antennas.
%  NOTE: The implementation of this function is not finnished.
%
%Output and Input:
%  sigOut (RxRadarSigT): Simulated radio signal.
%  srcType (StringT): Type of source signals. See below for sections about each
%    type.
%    = 'det': Deterministic Signals.
%    = 'randn': Normally distributed random amplitudes. Not implemented.
%    = 'rand': Uniformly distributed random amplitudes. Not implemented.
%  antenna (AntDefT): Antenna definition for the receiver.
%  srcSignals (CxMatrixT): Complex source time signals (the complex
%    envelopes) S in a (noTime, noSrc)-matrix. noSrc = number of sources.
%  noTime (IntScalarT): Number of time samples for the signals.
%  srcPowers (RealVectorT): Source signal powers in a (noSrc x 1) vector.
%    Where are the powers measured?
%  orthSig [D](BoolT): 1= orthogonalization of the signals. 0 = no
%    orthogonalization.
%  propSpeed [D](RealScalarT): Propagation speed of the waves [m/s].
%
%--------
%Deterministic Signals.
%Synopsis:
%
%Output and Input:
%
%Description:
%
%Algoritm:
%
%--------
%Normally Distributed Random Amplitudes.
%Synopsis:
%
%Output and Input:
%
%Description:
%
%Algoritm:
%
%--------
%Uniformly Distributed Random Amplitudes.
%Synopsis:
%
%Output and Input:
%
%Description:
%
%Algoritm:
%
%--------
%Random signals a la LP.
%Synopsis:
%
%Output and Input:
%
%Description:
%
%Algoritm:
%
%--------
%xxxxxxxxxxxx
%Synopsis:
%
%Output and Input:
%
%Description:
%
%Algoritm:
%
%--------
%Notations:
%  Data type names are shown in parentheses and they start with a capital
%  letter and end with a capital T. Data type definitions can be found in [1]
%  or by "help dbtdata".
%  [D] = This parameter can be omitted and then a default value is used.
%  When the [D]-input parameter is not the last used in the call, it must be
%  given the value [], i.e. an empty matrix.
%  ... = There can be more parameters. They are explained under respective
%  metod or choice.
%
%Examples:
%
%Software Quality:
%  (About what is done to ascertain software quality. What tests are done.)
%  This function is not tested yet.
%
%Known Bugs:
%  Unclear how to define the bandwidth for real and complex signals.
%
%References:
%  [1]: Bjrklund S.: "DBT, A MATLAB Toolbox for Radar Signal Processing.
%    Reference Guide", FOA-D--9x-00xxx-408--SE, To be published.
%  [2]: Bjrklund S.: "A MATLAB implementation of a Simulator for Wideband
%    Radio Signals Received by Array Antennas", FOA-D--99-00435-504--SE,
%    March 1999.
%
%See Also:
%  compsim4, simradarsig


%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  Start        : 981211 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:39:34 $ $Author: svabj $.
%  $Revision: 1.9 $
% *****************************************************************************

%End Of File -------------------------------------------------------------
