%WIDEEX2 Test of time delay between antenna elements using simulated wideband signals.

%
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  Start        : 9812xx Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:39:37 $ $Author: svabj $.
%  $Revision: 1.6 $
% *****************************************************************************

% Test of wide band signal simulation.
%
% *****************************************************************************
% Comments

% [ ]
% Comments
% Test of wide band signal simulation.
  disp('Test 120a')
  clear all
  propSpeed = speedoflight;		% [m/s].
  carrierFreq = 3e9		        % [Hz].
  lambda = propSpeed / carrierFreq;     % Wavelength [m].
  distElem 	= 0.45*lambda;		% Element separation.
  noChan 	= 12;			% Number of digital antenna channels.
  antenna = defant('isotropULA',[noChan,distElem]);	% Define the antenna.
  bandwidth = carrierFreq*0.9		% [Hz].
  noTimes = 16;			% Number of time samples.
  noTrials = 1;
  noSrc = 1;
  srcSignals = real([ones(1,noTimes/2), 2*ones(1,(noTimes/2))]);
  %srcSignals = [ones(1,noTimes/2), ones(1,(noTimes/2))];
  %srcSignals(1) = srcSignals(1) + j*eps;
  srcDoas = d2r([67]);		% Target angles [radians]. The number of
  %srcDoas = d2r([0]);		% Target angles [radians]. The number of
				%   targets is
				%   given by the number of target angles.
  srcPowers = ones(noSrc,1);
  srcCorr = [];
  orthSig = [];
  %sig = simwidebandkernel('det',antenna,carrierFreq, bandwidth, noTimes, ...
  %  noTrials, srcSignals, srcDoas, srcPowers, {srcCorr}, orthSig, propSpeed);

  sig = simwidebandkernel(antenna,[],carrierFreq, bandwidth, noTimes, ...
    noTrials,   propSpeed, 'det', srcSignals, srcPowers, srcDoas);
    % , [], [], [], [], [], [], [], [], 17

  figure, sigplot2(sig,':',1,':',...
     {'pulAxis', sig.waveform.sampleTime*(sig.pulIx-1)/1e-12})
  ylabel('Time [ps]')
  irot

  noFreq = noTimes;
  freqAxis = genfreqaxis(0, bandwidth, noFreq);
%  freqLow =  - bandwidth/2;
%  freqHigh =  + bandwidth/2;
%  freqAxis = linspace(freqLow, freqHigh, noFreq+1);
%  freqAxis = freqAxis(1:noFreq);

  figure, sigplot2(sig,':',1,':',...
     {'sigType','fft',...
      'pulAxis', freqAxis/1e9})
  ylabel('Frequency [GHz]')


  %printfm wideex2a.ps 10 8
% Expected result :
%   Time delay from antenna element m to m+n is equal to
%     tau = (n*0.45/carrierFreq)*sin(srcDoas)
%   For srcDoas = 40 degress, tau = n*9.642e10-11 s.
  disp(['Expected delays = ' num2str(((1:(noChan-1))*0.45/carrierFreq)*sin(srcDoas)/1e-12) 'ps'])
% Real result :


if (0)
  printfm wideex2a1 1 8
  printfm wideex2a3 2 8


  printfm wideex2a2 1 8
  printfm wideex2a4 2 8
end%if
