function dispr(variable, ident)

% RECVAR, A package for new data types in Matlab 4. 
% (c) FOA 1997. See the file rvright.m for copyright notice.
%
% function dispr(variable)
%
% Displays the contents of a variable similar to the standard Matlab 
% function display.This function handles ordinary Matlab 
% variables, record variables, multidimensional matrices and lists.
%
% variable	Any type	: Variable to display.
% ident		IntScalarT	: Indentation. Normaly not used by the user.


%
%  Start        : 970820 Svante Bjrklund (svabj).
%  Latest change: $Date: 1997/08/20 08:53:27 $ $Author: svabj $.
%  $Revision: 2.1 $
% *****************************************************************************

if (nargin < 2)
  ident = 0;
end

if (ismulmat(variable))
  printtab(ident)
  fprintf('MultiMatrix: size=[ ')
  fprintf('%d ', sizem(variable))
  fprintf(']\n\n')

elseif (islist(variable))
  printtab(ident),fprintf('List:\n')
  n = 1;
  while (~islastl(variable))
    printtab(ident+1),fprintf('Element(%d)=\n',n);
    dispr(get1stl(variable),ident+1)
    variable = getrestl(variable);
    n = n+1;
  end%while
  printtab(ident+1),fprintf('Element(%d)=\n',n);
  dispr(get1stl(variable),ident+1)

elseif (isrecvar(variable))
  printtab(ident),fprintf('Record:\n')  
  fieldlist = recdir(variable);
  for n = 1:size(fieldlist,1)
    printtab(ident+1),fprintf('"%s"=\n',fieldlist(n,:));
    dispr(getr(variable,fieldlist(n,:)),ident+1);
  end%for

elseif isstr(variable)
  printtab(ident),fprintf('"%s" ',variable)
  fprintf('\n\n')
else
  for m = 1:size(variable,1)
    printtab(ident) 
    for n = 1:size(variable,2)
      if (imag(variable(m,n)) == 0)
        fprintf('%d        ',real(variable(m,n)))
      else
        fprintf('%d + %di  ',real(variable(m,n)),imag(variable(m,n)))
      end%if
      %disp(variable(m,n))
    end%for
    fprintf('\n')
  end%for
  fprintf('\n')

  %error('Unknown data type.')
  %printtab(ident)
  %disp(variable)
end%if
