function MMOut = reshapem(MMIn, newSize)

% RECVAR, A package for new data types in Matlab 4. 
% (c) FOA 1997. See the file rvright.m for copyright notice.
%
%  function MMOut = reshapem(MMIn, newSize)
%
%  Works like 'reshape' but for multimatrices. The new indices are in a row 
%  vector 'newSize'. The first index is the "fastest loop" when shaping the new 
%  multimatrix.
%
%  MMOut, MMIn: MultimatrixT
%  newSize: Integer row vector with the new sizes of the dimensions.

%
%  Start        : 961106 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/13 19:53:43 $ $Author: svabj $.
%  $Revision: 1.1 $
% *****************************************************************************
oldSize = getr(MMIn,'size');

if (prod(newSize) ~= prod(oldSize))
  error('Multimatrix MMIn must have prod(newSize) elements.')
end%if

MMOut = setr(MMIn,'size', newSize);

