function Matrix = getm2(multiMatrix, ix1, ix2, ix3, ix4, ix5, ix6)

% RECVAR, A package for new data types in Matlab 4. 
% (c) FOA 1997. See the file rvright.m for copyright notice.
%
% Gets a two dimensional matrix from a part of a multidimensional matrix 
% (multimatrix). Behavoir as Matlab 5.
% Matlab 5 compatibility version.
% See "help getm2" in main RECVAR directory for more information.

% Start        : 970820 Svante Bjrklund (svabj).
% Latest change: $Date: 1998/07/12 18:44:07 $ $Author: svabj $.
% $Revision: 1.2 $
% *****************************************************************************

maxNoIndex = 6;

if (nargin < 7)
  ix6 = 1;
end
if (nargin < 6)
  ix5 = 1;
end
if (nargin < 5)
  ix4 = 1;
end
if (nargin < 4)
  ix3 = 1;
end
if (nargin < 3)
  ix2 = 1;
end
if (nargin < 2)
  ix1 = 1;
end

sizeMM = size(multiMatrix);
sizeMM = [sizeMM ones(1,maxNoIndex-size(sizeMM,2))];

if (isstr(ix1) & (ix1 == ':'))
  ix1 = 1:sizeMM(1,1);
end
if (isstr(ix2) & (ix2 == ':'))
  ix2 = 1:sizeMM(1,2);
end
if (isstr(ix3) & (ix3 == ':'))
  ix3 = 1:sizeMM(1,3);
end
if (isstr(ix4) & (ix4 == ':'))
  ix4 = 1:sizeMM(1,4);
end
if (isstr(ix5) & (ix5 == ':'))
  ix5 = 1:sizeMM(1,5);
end
if (isstr(ix6) & (ix6 == ':'))
  ix6 = 1:sizeMM(1,6);
end

Matrix = squeeze(multiMatrix(ix1, ix2, ix3, ix4, ix5, ix6));

%%getm code (not used any more):
%if ((size(Matrix,1) == 1) & (size(Matrix,2) > 1))
%  % All vectors that are returned are row vectors.
%  Matrix = Matrix.';
%end%if
