%DBTEX80 An example of creating an antenna equal to the AIMT application example ('aimtex')

%
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%  Start        : 980624 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:39:59 $ $Author: svabj $.
%  $Revision: 1.2 $
% *****************************************************************************

  lambda	= 0.1;

  % Create antenna elements.
  nElem = 51;
  elem21 = defant('pattFuncElem', 'sqrt(cos(x(1,:)))');
  elem2 = cell(1,nElem);
  for n = 1:nElem, elem2{n}=elem21; end%for n
  %elem2 = repmat({},1,nElem);	% Alternative way to create elem2.

  % Create beamforming matrix to do subarray beamforming.
  T = zeros(nElem,25);
  for n=1:25
    T((2*n-1):(2*n-1)+2,n) = [0.5 1 0.5].';
  end%for n
  ant2 = defant('BFArray',[0:0.5:25]*lambda,[],elem2,T);

  % Plot an antenna pattern.
  figure,spantpat3(ant2,{'lambda',lambda,  'mainPointDoa', d2r(20)})
    % Note the grating lobe.
  ylim([-50 0])
  xlim([-60 60])

% printfm dbex80a.eps 1 12
