function  [doaHat, out2, out3, out4] = sdoapar1(method, signals, doaStart, in7, in8, in9)

%SDOAPAR1 Parametric estimation of DOA:s with different methods. Short form of doapar1.
%
%--------
%Synopsis:
%  [doaHat, ...] = sdoapar1(method, signals, doaStart, ...)
%
%Description:
%  Parametric estimation of DOA:s with different methods. Short form of
%  doapar1. See help doapar1 for more information. The "..." input
%  parameters start after "trialIx" i doapar1.
%
%Output and Input:
%  doaHat (Vector of DoaT): The final estimated doa. Note, the data
%    type of this output parameter differ from the data type of function
%    "doapar1".
%
%--------
%See Also:
%  doapar1, stardoa, pdoapar, pdoait, perrfun, sdoaspc, doaspc1

%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  Start        : 970404 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:21:33 $ $Author: svabj $.
%  $Revision: 1.15 $
% *****************************************************************************


% ----------------------------------------------------------------------- %
% Handle standard input parameters
% ----------------------------------------------------------------------- %

if (nargin < 2)
  error('DBT-Error: To few input parameters.')
end

% ****************** Add missing input parameters ******************

if (nargin < 3)
  doaStart = [];
end
if (nargin < 4)
  in7 = [];
end
if (nargin < 5)
  in8 = [];
end
if (nargin < 6)
  in9 = [];
end


% ****************** Default values ******************

% ****************** Error check input parameters ******************


% ----------------------------------------------------------------------- %
% Call methods
% ----------------------------------------------------------------------- %

[doaHat, out2, out3, out4] = doapar1(method, signals, doaStart, [], [], ...
   [], in7, in8, in9);
doaHat = doaHat.doa;
