function  spect = sdoaspc(method, signals, smplPoints, in8, in9, in10)

%SDOASPC Estimates a DOA-spectrum with different methods. Short form of doaspc1.
%
%--------
%Synopsis:
%  spect = sdoaspc(method, signals, smplPoints, ...)
%
%Description:
%  Estimates a DOA-spectrum with different methods. Short form of
%  doaspc1. See help doaspc1 for more information. The "..." input
%  parameters start after "cpiIx" i doaspc1.
%
%--------
%See Also:
%  doaspc1, doapar1, sdoapar1,  compsim2, expsig1, splot2, doapeak

%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  Start        : 970404 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:21:34 $ $Author: svabj $.
%  $Revision: 1.13 $
% *****************************************************************************


% ----------------------------------------------------------------------- %
% Handle standard input parameters
% ----------------------------------------------------------------------- %

if (nargin < 2)
  error('DBT-Error: To few input parameters.')
end

% ****************** Add missing input parameters ******************

if (nargin < 3)
  smplPoints = [];
end
if (nargin < 4)
  in8 = [];
end
if (nargin < 5)
  in9 = [];
end
if (nargin < 6)
  in10 = [];
end


% ****************** Default values ******************

% ****************** Error check input parameters ******************


% ----------------------------------------------------------------------- %
% Call methods
% ----------------------------------------------------------------------- %

spect = doaspc1(method, signals, [], smplPoints, [], [], [], in8, in9, in10);
