function [output] = ssffun(theta,Rhat,antenna,lambda)

%SSFFUN  Auxiliary function for SSF. Should not be called by the user.

%
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%  Start        : 970718 Amir Heydarkhan (amihey).
%  Latest change: $Date: 2000/10/16 15:22:11 $ $Author: svabj $.
%  $Revision: 1.8 $
% *****************************************************************************

m = size(Rhat,1);
d = length(theta);
%lambda = antenna.lambda;
A = spastemat(antenna, theta', lambda);

[Q,R0] = qr(A);         %QR-Factorization
Q2=Q(:,(d+1):m);     %and calculation of Q2
[U,L,V]=svd(Rhat);
Us = U(:,1:d);

M=Us*Us';

output = Q2'*sqrtm(M);

output = [real(output) imag(output)];

