function c = multdiag(A,B)

%MULTDIAG Returns the diagonal of a product of two matrices.
%
%--------
%Synopsis:
%  c = multdiag(A,B)
%
%Description:
%  Multiplies two matrices but returns only the diagonal of the product.
%  The obective with this function is to perform the calculation fast. 
%  This sholud be possible because not all elements need to be calculated
%
%Output and Input:
%  A,B (CxMatrixT): The matrices to multiply.
%  weights (CxVectorT): The weights to use. Length of this vector must be
%    equal to the number of columns in "X".
%
%--------
%Notations:
%  Data type names are shown in parentheses and they start with a capital
%  letter and end with a capital T. Data type definitions can be found in [1]
%  or by "help dbtdata".
%  [D] = This parameter can be omitted and then a default value is used.
%  When the [D]-input parameter is not the last used in the call, it must be
%  given the value [], i.e. an empty matrix.
%  ... = There can be more parameters. They are explained under respective
%  metod or choice.
%
%Examples:
%
%Software Quality:
%  (About what is done to ascertain software quality. What tests are done.)
%
%Known Bugs:
%
%References:
%  [1]: Bjrklund S.: "DBT, A MATLAB Toolbox for Radar Signal Processing.
%    Reference Guide", FOA-D--9x-00xxx-408--SE, To be published.
%
%See Also:
%  weightrows

%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  Start        : 991102 Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:40:17 $ $Author: svabj $.
%  $Revision: 1.3 $
% *****************************************************************************


c = diag(A * B);
