function Wout = orthbeam(Win)

%ORTHBEAM Orthogonalization of beamforming weights.
%  Wout = ORTHBEAM(Win) orthogonalizes the beamforming weight vectors in Win.
%  That is, Wout'*Wout = I.
%
%  Size of Win and Wout is (M x N):
%    M = # channels.
%    N = # weight vectors.
%
%  If the beams are to close to eachother, this method does not manage to 
%  orthogonalize them. There will be no warning or error message.

%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  Start        : xxxx NNNNN (nnnn).
%  Latest change: $Date: 2000/10/16 15:40:18 $ $Author: svabj $.
%  $Revision: 1.2 $
% *****************************************************************************

Wout = Win*((Win'*Win)^(-1/2));
