function b = squeezeall(a)
%SQUEEZEALL Remove all singleton dimensions.
%   B = SQUEEZE(A) returns an array B with the same elements as
%   A but with all the singleton dimensions removed.  A singleton
%   is a dimension such that size(A,dim)==1. 
%   The difference to the function SQUEEZE is that SQUEEZEALL also turns
%   row vectors into cloumn vectors, which is not the case for SQUEEZE.
%
%   For example,
%       squeeze(rand(2,1,3))
%   is 2-by-3.
%
%   See also SQUEEZE, SHIFTDIM, PERMUTE, IPERMUTE

%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  Start        : 9910xx Svante Bjrklund (svabj).
%  Latest change: $Date: 2000/10/16 15:40:19 $ $Author: svabj $.
%  $Revision: 1.2 $
% *****************************************************************************

b = squeeze(a);
if ((ndims(b) == 2) & (size(b,1) == 1))
  b = b.';
end%if
