function vcmp=vcorrdbt(v,Cmat,Ccmpmet,wcmat,wnfcmp)

% *****************************************************************************
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%
%  function vcmp=vcorrdbt(v,Cmat,Ccmpmet,wcmat,wnfcmp)
%
%  Strippad version av vcorr fr "dbt"-verktygsldan
%  Korrigerar mtt utsignal utgende frn knda korrektionamatriser
%  vcmp=v*diag(wcmat)*Ccmp*wnfcmp
%  dr v och vcmp r radvektorer sfa tiden, dim [nttot,nel]
%
%  Start        : 9xxxxx Lars Pettersson (larpet).
%  Latest change: $Date: 2001/08/31 14:32:18 $ $Author: svabj $.
%  $Revision: 1.11 $
% *****************************************************************************

%global cscount
%cscount = cscount + 1;
%fprintf('Compensate signals. %d\n',cscount)

% Korrigera frst fr kanalfel, eller drift sedan coupcal
if ~isempty(wcmat)
  v=v*diag(wcmat);
end

% Korrigera sedan fr koppling
if ~isempty(Cmat)
  if strcmp(Ccmpmet,'Ccmp')
    v=v*Cmat;
  elseif strcmp(Ccmpmet,'wcmedel') | (strcmp(Ccmpmet,'wctab') & size(Cmat,1)==1)
    v=v*diag(Cmat);
  else
    error('DBT-Error: Felaktigt Ccmpmet i vcorrdbt eller wcorrtabell fr lng');
  end%if
end%if

% Korrigera sedan fr nrfltseffekter
if ~isempty(wnfcmp)
  v=v*diag(wnfcmp);
end

vcmp=v;
