function [output] = wsffun(theta,Rhat,antenna,lambda)

%WSFFUN Auxiliary function for WSF. Should not be called by the user.

%
%   *  DBT, A Matlab Toolbox for Radar Signal Processing  *
% (c) FOA 1994-2000. See the file dbtright.m for copyright notice.
%  Start        : 970611 Amir Heydarkhan (amihey).
%  Latest change: $Date: 2000/10/16 15:22:22 $ $Author: svabj $.
%  $Revision: 1.9 $
% *****************************************************************************

m = size(Rhat,1);
d = length(theta);
%lambda = antenna.lambda;
A = spastemat(antenna, theta', lambda);

[Q,R0] = qr(A);         %QR-Factorization
Q2=Q(:,(d+1):m);     %and calculation of Q2
[U,L,V]=svd(Rhat);
Us = U(:,1:d);
I=eye(d);
Ld=diag(L);

sigma2hat=mean(Ld(d+1:m));

Ls=L(1:d,1:d);
M=Us*(Ls-sigma2hat*I)^2*inv(Ls)*Us';

output = Q2'*sqrtm(M);

output = [real(output) imag(output)];

